var score = 0;

var hMom = 0;
var vMom = 0;

function init()
{
    spot.colorize = preferences.spotColor.value;
}
function preferencesChanged()
{
    init();
}
function mainTimerFired()
{
    //move dot
    hMom += random(3)-1;
    vMom += random(3)-1;
    if(hMom > 3) hMom = 3;
    if(hMom < -3) hMom = -3;
    if(vMom > 3) vMom = 3;
    if(vMom < -3) vMom = -3;
    
    var hs = spot.height / 2;
    //bounce    
    if(spot.hOffset < hs)//too far left
        hMom = 1;
    else if(spot.hOffset > (main_window.width - hs))//too far right
        hMom = -1;        
    if(spot.vOffset < hs)//too far up
        vMom = 1;
    else if(spot.vOffset > (main_window.height - hs))//too far down
        vMom = -1;
    
    spot.hOffset = spot.hOffset + hMom;
    spot.vOffset = spot.vOffset + vMom;
    
    //check mouse vs dot position (distance)
    var dX = system.event.hOffset - spot.hOffset;
    var dY = system.event.vOffset - spot.vOffset;
    var d = Math.sqrt(dX*dX + dY*dY);
    if(d > 25)
    {
        spot.colorize = "#FF0000";
        score = 0;
    }
    else
    {
        spot.colorize = preferences.spotColor.value;
    }
    //update score
    if(score > preferences.highScore.value)
    {
        preferences.highScore.value = score;
        savePreferences();
    }
    tbxScore.data = score;
    tbxHighScore.data = preferences.highScore.value;
}
function scoreTimerFired()
{
    score++;
}

init();
